"use client";

export default function ChapterDropdown({
  chapters,
  bookId,
}: {
  chapters: { id: number; documentId: string; number: number; title: string }[];
  bookId: string;
}) {
    
  const navigateToChapter = (documentId: string) => {
    if (documentId) {
      window.location.href = `/books/${bookId}/chapters/${documentId}`;
    }
  };

  return (
    <select
      className="ml-4 px-4 py-2 rounded bg-gray-200 dark:bg-gray-700 text-gray-900 dark:text-gray-100"
      onChange={(e) => navigateToChapter(e.target.value)}
    >
      <option value="" disabled>
        Select a Chapter
      </option>
      {chapters.map((chapter) => (
        <option key={chapter.id} value={chapter.documentId}>
          Chapter {chapter.number}: {chapter.title}
        </option>
      ))}
    </select>
  );
}
