"use client";

import {useState, useEffect} from 'react';

export function Countdown({release_datetime}: {release_datetime: string}) {
    const calculateTimeLeft = () => {
        const now = new Date().getTime();
        const releaseTime = new Date(release_datetime).getTime();
        const difference = releaseTime - now;
    
        if (difference <= 0) {
          return "Released!";
        }

        const hours = Math.floor((difference / (1000 * 60 * 60)) % 24);
        const minutes = Math.floor((difference / (1000 * 60)) % 60);
        const seconds = Math.floor((difference / 1000) % 60);
    
        return `${hours}h ${minutes}m ${seconds}s`;
    }
    
    const [timeLeft, setTimeLeft] = useState<string>(calculateTimeLeft());


    useEffect(() => {
        const timer = setTimeout(() => {
            setTimeLeft(calculateTimeLeft());
        }, 1000);
        return () => clearTimeout(timer);
    });

    return (
        <span>{timeLeft}</span>
    );
}
