"use client"

import { useEffect } from 'react';
import { useRouter } from 'next/router';

const useRefreshAds = () => {
  const router = useRouter();

  useEffect(() => {
    if (typeof window !== 'undefined') {
      console.log("Initializing Ad Refresh...");
      window.googletag = window.googletag || { cmd: [] };

      router.events.on('routeChangeComplete', () => {
        console.log("Refreshing Ads...");
        window.googletag.cmd.push(() => {
          if (window.googletag?.pubads) {
            window.googletag.pubads().refresh();
          }
        });
      });

      return () => {
        router.events.off('routeChangeComplete', () => {});
      };
    }
  }, [router]);

  return null;
};

export default useRefreshAds;
